From 0585db027f7b0dc4a93833f94be13772b923503a Mon Sep 17 00:00:00 2001
From: Philipp Nassua <philipp@nassua.cc>
Date: Sat, 4 May 2019 11:53:21 +0200
Subject: [PATCH] New package: e2guardian-5.3.2

---
 srcpkgs/e2guardian/files/e2guardian/run |  2 ++
 srcpkgs/e2guardian/template             | 34 +++++++++++++++++++++++++
 2 files changed, 36 insertions(+)
 create mode 100644 srcpkgs/e2guardian/files/e2guardian/run
 create mode 100644 srcpkgs/e2guardian/template

diff --git a/srcpkgs/e2guardian/files/e2guardian/run b/srcpkgs/e2guardian/files/e2guardian/run
new file mode 100644
index 00000000000..d70fbcb4075
--- /dev/null
+++ b/srcpkgs/e2guardian/files/e2guardian/run
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec e2guardian -N
diff --git a/srcpkgs/e2guardian/template b/srcpkgs/e2guardian/template
new file mode 100644
index 00000000000..aebecfaaa48
--- /dev/null
+++ b/srcpkgs/e2guardian/template
@@ -0,0 +1,34 @@
+# Template file for 'e2guardian'
+pkgname=e2guardian
+version=5.3.2
+revision=1
+build_style=gnu-configure
+configure_args="--enable-clamd=yes --with-proxyuser=_e2guardian --with-proxygroup=_e2guardian --sysconfdir=/etc --localstatedir=/var --enable-icap=yes --enable-commandline=yes --enable-email=yes --enable-ntlm=yes --enable-pcre=yes --enable-sslmitm=yes"
+conf_files="/etc/e2guardian/*.conf
+/etc/e2guardian/*.story
+/etc/e2guardian/lists/authplugins/*
+/etc/e2guardian/lists/bannedrooms/*
+/etc/e2guardian/lists/contentscanners/*
+/etc/e2guardian/lists/phraselists/*/*
+/etc/e2guardian/authplugins/*
+/etc/e2guardian/contentscanners/*
+/etc/e2guardian/downloadmanagers/default.conf"
+make_dirs="/var/log/e2guardian 0755 _e2guardian _e2guardian"
+hostmakedepends="automake pkg-config"
+makedepends="zlib-devel pcre-devel libressl-devel"
+short_desc="Web content filter proxy with multiple server modes"
+maintainer="Philipp Nassua <philipp@nassua.cc>"
+license="GPL-2.0"
+homepage="https://github.com/e2guardian/e2guardian"
+distfiles="https://github.com/e2guardian/e2guardian/archive/v${version}.tar.gz"
+checksum=ff15090157b8ea7b7910a893bb3bf582b5658cd2b4a9417805bd5c8cc1ba5e29
+system_accounts="_e2guardian"
+
+pre_configure() {
+	sed -i '/daemonuser\|daemongroup/s/^#//g' configs/e2guardian.conf.in
+	./autogen.sh
+}
+
+post_install() {
+	vsv e2guardian
+}
